This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 826251 - [abrt] crash with ubuntu maverick build w/ -kernel
[abrt] crash with ubuntu maverick build w/ -kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
abrt_hash:e6a8866c923fcff8da6c4abdefc...
:
: 611532 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 16:47 EDT by Tobias Mueller
Modified: 2013-07-11 16:16 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 16:16:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (7.03 KB, text/plain)
2012-05-29 16:47 EDT, Tobias Mueller
no flags Details
File: maps (32.69 KB, text/plain)
2012-05-29 16:47 EDT, Tobias Mueller
no flags Details
File: backtrace (14.06 KB, text/plain)
2012-05-29 16:47 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2012-05-29 16:47:24 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        qemu-system-x86_64 -s -S -kernel /opt/ubuntu/home/muelli/ubuntu-maverick/debian/build/build-generic/vmlinux -monitor stdio
crash_function: __GI_raise
executable:     /usr/bin/qemu-system-x86_64
kernel:         3.3.4-1.fc16.x86_64
pid:            864
pwd:            /home/muelli/hg/openpgp-things/keys
time:           Di 29 Mai 2012 09:18:04 CEST
uid:            1000
username:       muelli
var_log_messages: May 29 09:18:08 bigbox abrt[877]: Saved core dump of pid 864 (/usr/bin/qemu-system-x86_64) to /var/spool/abrt/ccpp-2012-05-29-09:18:04-864 (365236224 bytes)

backtrace:      Text file, 14401 bytes
dso_list:       Text file, 7201 bytes
maps:           Text file, 33472 bytes

build_ids:
:fdff2d98463ddd6e8c3883936e12070b2d039e58
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:9efd824bf587def50099e2ae657a5cce012fa658
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:8b10c6a73436df652d1d5d9877f930b79d0c55d1
:fc8df5efad8976eba0eebe467ef8736055391e68
:61aea344c391d8ca2c072b40c36b74bc28711038
:9d84e24aac9f86257ddf37b52700e19bd905c666
:1cfd92783e4a384a68178ec3703ba5349db7e0a0
:12fdc5a85e732c3f5e8b57d5d2901f36654c88ff
:89017ab0b75e533e4294f74ee8f7db3daceea536
:79864569a0772772b248ae40c24945e83ea2a585
:6cded60dd119fb8b8aa41b264e12931cb2c7b67f
:bbb7c497ff14faf6e1a51da91e884427f670517f
:1c6a95451ee19617be5abea3d121f0226d21ddda
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:3a2c00058f6bc91272c8846d553d3834fab0f3c2
:6d9e916885568b389689028a219a973686f2d3e8
:20636bd24ca415499a99e709f8ff392bd962f414
:368c3cee84c23ec196abdf632219adea6bc31f4f
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:7ddde233293b60ff6de1dabd78d95aa43e47fc23
:460eb197d84b119c8ba93737cd0e4486a96a0be0
:6ba9409fb9f58785e255d94fc533fbf1d1fe35fd
:f8f4d8e260ee8f3b262936920270ace01b2da537
:8c49577fba3c97a9de9331b5245737f6250e831c
:124bfd663f5587288e6e0da8497fb4153469e657
:6fa46c9f11304fe8ffcb8f7f4c4f73a12cc27821
:703ccfe875632e8e2f051812d7db85dcfe43f324
:7c1e34ab5c02f4a624f14ca6d6a0ad0d51719ebb
:2670385f49fb9f120f7cf843f211e3c620da8632
:aca502f892c6a00c252cfc2c91f39497fe2598cf
:36f57a1f3d3f4436f63d1aac473a777597dce5dc
:f417b25f83a1b878b1a8965478a7eecf0344eaca
:25b834f4c4dc534708635ff1064e2fe02a366a62
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:888e650848c123e0c145e1bbf100f639bd8b308e
:3843cf1dd11e283de3457f1edf634bfdd910b8e5
:07b9ceb2d697037632125d9f56bf35a68f48c2d6
:f1eb6e4e907e1e42f557c5b8dc851c407c6f4ac4
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:cc32e70895d23acd7bde1ef1a3286b5e179e2d49
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:b2addb78b534f66e1c4fb01a407861181151bd8a
:4c842320387ff7f6f91b7842b223c16518be909f
:14063d4a97bae5e96c07a1a7c0e6ca5c982839f3
:d0c6e13f00a20952a72a945c929efb175fd760e3
:58803db420709341d8e6a713b18e54a6e1824272
:75eaece6e0d1e075520cdfad5c398fdab4370846
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:4b4a5ba403acccab2f72ebe3908b23a81cc239a2
:b1eabdd6f67f63acd5e36164337202a692fedfc3
:be507c791e34415e8f42f0e6030c889b2895cf9a
:66b8a549e5dfccb29eee911c9a1f987d05f12613
:85e76e7b27f9af4e87ed94c5ca8767d7b758ef40
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:5015c35e394cf472544ed068b7cb03015714f088
:3bbe4d98714c66cda2944cd39900eea5d348df18
:c6739204320eb15bdcdba039a2b183298170403e
:1376b67df625b15f525ff9af99708b0feda1bd5c
:0911ea7c180d733724f89037b8e8a34e64024aec
:ced174aa0f6fc21a03a8891d8b372c68e705c159
:e814ef8432b7dec42a0b8ec12b9abd9fc7f57b40
:04b13e6ad021590e6260f2e954d789a259ecc965
:3437fbc1b9876f2d55c8c9beffbda021a61b1e61
:7a896ce784b97721d1f6960bfba25e60511c0178
:fc684ef0fc723dcb68a88799b8fb98e68e5f7441
:17f981cb9dbb88e65022c2d49ef5f939da321833
:9db4e5fd24f3ebecbfd28027c817d1bd55be5277
:6c827aed0fb6c93acb6c2329a62f452ff83e9052
:9f7adc772aa8ef07ea68315b0b516749b72fe255
:652978274d9edf0accf8057af35746fe32ca8b1c
:b092238efe70555aea56f2dd242b7c0fe06d29b6
:163b323da65b708418226eb5fa8b057c731d1475
:3cbc639da8b05f5cd87202ff77c5c335313d3276
:94d902c7ee36c09ed36eb68c45e52c7daeb48f08
:f76b984be770d7d24d6ff99278ca9b18652ec542
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:9b5544cc6e5d0e65dca39b18459fbb85892e50d4
:f9aa72f20a1a7465d733b6abe82a861b96bb0fd6

comment:
:reproducing bug 611532
:
:Terminal 1:
:
:qemu-system-x86_64 -s -S -kernel /opt/ubuntu/home/muelli/ubuntu-maverick/debian/build/build-generic/vmlinux -monitor stdio
:
:Terminal 2:
: $  gdb
:GNU gdb (GDB) Fedora (7.3.50.20110722-13.fc16)
:Copyright (C) 2011 Free Software Foundation, Inc.
:License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
:This is free software: you are free to change and redistribute it.
:There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
:and "show warranty" for details.
:This GDB was configured as "x86_64-redhat-linux-gnu".
:For bug reporting instructions, please see:
:<http://www.gnu.org/software/gdb/bugs/>.
:(gdb) target remote localhost:1234
:Remote debugging using localhost:1234
:0x0000fff0 in ?? ()
:(gdb) c
:Continuing.
:Remote connection closed
:(gdb) 

environ:
:XDG_VTNR=1
:LC_PAPER=de_DE.utf8
:LC_ADDRESS=de_DE.utf8
:XDG_SESSION_ID=3
:LC_MONETARY=de_DE.utf8
:HOSTNAME=bigbox
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-0L1bQK/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=1f0b1dd00463efa5e536a1ef48f433dc-1336164492.584972-1254087432
:HISTSIZE=1000
:WINDOWID=33554684
:LC_NUMERIC=de_DE.utf8
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-0L1bQK
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=muelli
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:LC_TELEPHONE=de_DE.utf8
:SSH_AUTH_SOCK=/tmp/keyring-0L1bQK/ssh
:USERNAME=muelli
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1701,unix/unix:/tmp/.ICE-unix/1701
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/muelli
:PATH=/home/muelli/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
:LC_MESSAGES=en_US.utf8
:QT_IM_MODULE=xim
:LC_COLLATE=de_DE.utf8
:LC_IDENTIFICATION=de_DE.utf8
:PWD=/home/muelli/hg/openpgp-things/keys
:XMODIFIERS=@im=none
:EDITOR=nano
:GNOME_KEYRING_PID=1692
:LANG=de_DE.utf8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:LC_MEASUREMENT=de_DE.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/muelli
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=muelli
:CVS_RSH=ssh
:VISUAL=nano
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-gEQEdpXADz,guid=4eb0ac44807c8a8754590c3100000117
:LC_CTYPE=de_DE.utf8
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/muelli
:DISPLAY=:0
:LC_TIME=de_DE.utf8
:LC_NAME=de_DE.utf8
:XAUTHORITY=/var/run/gdm/auth-for-muelli-2mEQqZ/database
:COLORTERM=gnome-terminal
:CCACHE_HASHDIR=
:OLDPWD=/home/muelli/hg/openpgp-things
:_=/usr/bin/qemu-system-x86_64
Comment 1 Tobias Mueller 2012-05-29 16:47:33 EDT
Created attachment 587518 [details]
File: dso_list
Comment 2 Tobias Mueller 2012-05-29 16:47:35 EDT
Created attachment 587519 [details]
File: maps
Comment 3 Tobias Mueller 2012-05-29 16:47:37 EDT
Created attachment 587520 [details]
File: backtrace
Comment 4 Cole Robinson 2012-05-29 17:35:51 EDT
*** Bug 611532 has been marked as a duplicate of this bug. ***
Comment 5 Fedora End Of Life 2013-01-16 15:44:24 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tobias Mueller 2013-01-16 15:49:15 EST
$ qemu-system-x86_64 -s -S -kernel /opt/ubuntu/home/muelli/ubuntu-maverick/debian/build/build-generic/vmlinux -monitor stdio
QEMU 1.0.1 monitor - type 'help' for more information
(qemu) 


Then, in another shell:
$ gdb
GNU gdb (GDB) Fedora (7.4.50.20120120-52.fc17)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
(gdb) target remote localhost:1234
Remote debugging using localhost:1234
0x0000fff0 in ?? ()
(gdb) c
Continuing.
Remote connection closed
(gdb) 



Back to the old shell:

qemu: fatal: Trying to execute code outside RAM or ROM at 0x00000000000a0000

EAX=00000000 EBX=00000000 ECX=00000000 EDX=00000000
ESI=00000000 EDI=00000000 EBP=00000000 ESP=00009fe0
EIP=0000fdfa EFL=00000002 [-------] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =9000 00090000 ffffffff 00cf9300
CS =9020 00090200 0000ffff 00009b00
SS =9000 00090000 0000ffff 00009300
DS =9000 00090000 0000ffff 00009300
FS =9000 00090000 0000ffff 00009300
GS =9000 00090000 0000ffff 00009300
LDT=0000 00000000 0000ffff 00008200
TR =0000 00000000 0000ffff 00008b00
GDT=     000ca264 00000017
IDT=     00000000 000003ff
CR0=00000010 CR2=00000000 CR3=00000000 CR4=00000000
DR0=0000000000000000 DR1=0000000000000000 DR2=0000000000000000 DR3=0000000000000000 
DR6=00000000ffff0ff0 DR7=0000000000000400
CCS=00000000 CCD=00000000 CCO=ADDB    
EFER=0000000000000000
FCW=037f FSW=0000 [ST=0] FTW=00 MXCSR=00001f80
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000
Aborted (core dumped)
Comment 7 Fedora End Of Life 2013-07-04 00:13:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Cole Robinson 2013-07-11 16:16:01 EDT
Sorry this bug has limped along for so long. I know the gdbstub has been getting patches upstream recently. If you provide an example kernel I can try and see if it's failing with qemu.git. But this is unlikely to be fixed in F17. If you can reproduce with later bits, please reopen.

Note You need to log in before you can comment on or make changes to this bug.